REST API

Every action the dashboard takes, as an HTTP call. Generated from the OpenAPI document the control plane builds from its own routes, so nothing here is listed that it does not serve.

Calling it

Paths are relative to your control plane's /control-plane/api/v1. Issue an API token in the dashboard (Developers → API tokens) and send it as a bearer token. Errors answer with a PBP- code listed on the error codes page. The same document is in the @pb-play/api-client package for generating a client in any language.

curl -H "Authorization: Bearer pbp_tok_…" https://<your-control-plane>/control-plane/api/v1/account

account

tokens

  • GET/account/tokenstokensList
    Answers 200 TokenResponse[]
  • POST/account/tokenstokensIssue

    Roles: owner, admin — a signed-in person or an API token holding one of them. A signed-in person only: an API token is refused (PBP-109044).

    Body · IssueToken
    • expiresAtstring | nulloptional
    • namestring
    • role"admin" | "billing" | "member" | "owner"optional
    • scopesobject | nulloptional
    Answers 201 IssuedTokenResponse
  • DELETE/account/tokens/{tokenId}tokensRevoke

    Roles: owner, admin — a signed-in person or an API token holding one of them. A signed-in person only: an API token is refused (PBP-109044).

    Parameters
    • tokenIdstringpath
    Answers 200 TokenResponse

webhooks

  • GET/account/webhookswebhooksList
    Answers 200 WebhookResponse[]
  • POST/account/webhookswebhooksCreate

    Roles: owner, admin — a signed-in person or an API token holding one of them.

    Body · CreateWebhook
    • enabledbooleanoptional
    • events"captions.generated" | "key.rotated" | "key.revoked" | "licence.changed" | "live.ended" | "live.started" | "media.encode_failed" | "media.encoded" | "usage.threshold" | "version.promoted"[]
    • urlstring
    Answers 201 CreatedWebhookResponse
  • GET/account/webhooks/deliverieswebhooksDeliveries
    Parameters
    • endpointIdstringoptionalquery
    • limitintegeroptionalquery
    Answers 200 DeliveryResponse[]
  • POST/account/webhooks/deliveries/{deliveryId}/replaywebhooksReplay

    Roles: owner, admin — a signed-in person or an API token holding one of them.

    Parameters
    • deliveryIdstringpath
    Answers 201 DeliveryResponse
  • PATCH/account/webhooks/{webhookId}webhooksUpdate

    Roles: owner, admin — a signed-in person or an API token holding one of them.

    Parameters
    • webhookIdstringpath
    Body · UpdateWebhook
    • enabledbooleanoptional
    • events"captions.generated" | "key.rotated" | "key.revoked" | "licence.changed" | "live.ended" | "live.started" | "media.encode_failed" | "media.encoded" | "usage.threshold" | "version.promoted"[]optional
    • urlstringoptional
    Answers 200 WebhookResponse
  • DELETE/account/webhooks/{webhookId}webhooksRemove

    Roles: owner, admin — a signed-in person or an API token holding one of them.

    Parameters
    • webhookIdstringpath
    Answers 204, no body
  • POST/account/webhooks/{webhookId}/testwebhooksTest

    Roles: owner, admin — a signed-in person or an API token holding one of them.

    Parameters
    • webhookIdstringpath
    Answers 201 DeliveryResponse

billing

  • GET/account/billingbillingSubscription
    Answers 200 SubscriptionResponse
  • GET/account/billing/plansbillingPlans
    Answers 200 PlanResponse[]
  • PUT/account/billing/planbillingChangePlan

    Roles: owner, billing — a signed-in person or an API token holding one of them.

    Body · ChangePlan
    • plan"developer" | "starter" | "growth"
    Answers 200 SubscriptionResponse
  • PUT/account/billing/cardbillingSetCard

    Roles: owner, billing — a signed-in person or an API token holding one of them.

    Body · SetCard
    • tokenstring
    Answers 200 SubscriptionResponse
  • PUT/account/billing/card/setupbillingCardSetup

    Roles: owner, billing — a signed-in person or an API token holding one of them.

    Body · CardSetup
    • returnUrlstring
    Answers 200 object
  • GET/account/billing/invoicesbillingInvoices
    Answers 200 InvoiceSummary[]
  • GET/account/billing/invoices/{invoiceId}billingInvoice
    Parameters
    • invoiceIdstringpath
    Answers 200 InvoiceResponse
  • GET/account/billing/invoices/{invoiceId}/pdfbillingInvoicePdf
    Parameters
    • invoiceIdstringpath
    Answers 200 StreamableFile
  • PUT/account/billing/profilebillingSetProfile

    Roles: owner, billing — a signed-in person or an API token holding one of them.

    Body · BillingProfile
    • addressobject | null
    • emailstring | nulloptional
    • namestring
    • taxIdstring | nulloptional
    Answers 200 SubscriptionResponse
  • GET/account/billing/usagebillingUsage
    Answers 200 UsageResponse

billingProcessor

  • POST/billing/processor/eventsbillingProcessorEvents

    Public: no credential, readable from any origin.

    Answers 204, no body

analytics

  • GET/properties/{propertyId}/analytics/overviewanalyticsOverview
    Parameters
    • propertyIdstringpath
    • fromstringoptionalquery
    • granularity"day" | "hour"optionalquery
    • tostringoptionalquery
    Answers 200 Overview
  • GET/properties/{propertyId}/analytics/realtimeanalyticsRealtime
    Parameters
    • propertyIdstringpath
    Answers 200 object
  • GET/properties/{propertyId}/analytics/reportanalyticsReport
    Parameters
    • propertyIdstringpath
    • by"browser" | "coreVersion" | "country" | "engine" | "media" | "os" | "platform" | "player" | "streamType"optionalquery
    • fromstringoptionalquery
    • tostringoptionalquery
    Answers 200 object
  • GET/properties/{propertyId}/analytics/report.csvanalyticsReportCsv
    Parameters
    • propertyIdstringpath
    • by"browser" | "coreVersion" | "country" | "engine" | "media" | "os" | "platform" | "player" | "streamType"optionalquery
    • fromstringoptionalquery
    • tostringoptionalquery
    Answers 200 string
  • GET/properties/{propertyId}/analytics/fleetanalyticsFleet
    Parameters
    • propertyIdstringpath
    Answers 200 object[]
  • DELETE/properties/{propertyId}/analytics/viewers/{viewerHash}analyticsForget

    Roles: owner, admin — a signed-in person or an API token holding one of them.

    Parameters
    • propertyIdstringpath
    • viewerHashstringpath
    Answers 200 object
  • GET/properties/{propertyId}/analytics/exportanalyticsGetExport

    Roles: owner, admin — a signed-in person or an API token holding one of them.

    Parameters
    • propertyIdstringpath
    Answers 200 ExportDestinationDto | null
  • PUT/properties/{propertyId}/analytics/exportanalyticsPutExport

    Roles: owner, admin — a signed-in person or an API token holding one of them.

    Parameters
    • propertyIdstringpath
    Body · UpsertExportDestination
    • accessKeyIdstring
    • bucketstring
    • endpointstring | nulloptional
    • kind"s3"optional
    • prefixstringoptional
    • regionstring
    • secretAccessKeystring
    Answers 200 ExportDestinationDto
  • DELETE/properties/{propertyId}/analytics/exportanalyticsDeleteExport

    Roles: owner, admin — a signed-in person or an API token holding one of them.

    Parameters
    • propertyIdstringpath
    Answers 204, no body

apps

  • GET/properties/{propertyId}/appsappsList
    Parameters
    • propertyIdstringpath
    Answers 200 AppResponse[]
  • POST/properties/{propertyId}/appsappsCreate
    Parameters
    • propertyIdstringpath
    Body · WriteApp
    • adScheduleIdstring | nulloptional
    • bundleIdsBundleIdsoptional
    • configAppConfig | nulloptional
    • licenceKeyIdstring | nulloptional
    • localestring | nulloptional
    • namestring
    • originsOriginsoptional
    • playerIdstring | nulloptional
    • playlistIdsstring[]optional
    • themeThemeDocument | nulloptional
    Answers 201 AppResponse
  • GET/properties/{propertyId}/apps/{appId}appsGet
    Parameters
    • propertyIdstringpath
    • appIdstringpath
    Answers 200 AppResponse
  • PUT/properties/{propertyId}/apps/{appId}appsReplace
    Parameters
    • propertyIdstringpath
    • appIdstringpath
    Body · WriteApp
    • adScheduleIdstring | nulloptional
    • bundleIdsBundleIdsoptional
    • configAppConfig | nulloptional
    • licenceKeyIdstring | nulloptional
    • localestring | nulloptional
    • namestring
    • originsOriginsoptional
    • playerIdstring | nulloptional
    • playlistIdsstring[]optional
    • themeThemeDocument | nulloptional
    Answers 200 AppResponse
  • DELETE/properties/{propertyId}/apps/{appId}appsRemove
    Parameters
    • propertyIdstringpath
    • appIdstringpath
    Answers 204, no body

audit

  • GET/properties/{propertyId}/auditauditList
    Parameters
    • propertyIdstringpath
    • beforestringoptionalquery
    • limitintegeroptionalquery
    Answers 200 AuditPageResponse

properties

  • GET/propertiespropertiesList
    Answers 200 PropertyResponse[]
  • POST/propertiespropertiesCreate

    Roles: owner, admin — a signed-in person or an API token holding one of them.

    Body · CreateProperty
    • allowedOriginsOriginsoptional
    • namestring
    Answers 201 PropertyResponse
  • DELETE/properties/{propertyId}propertiesRemove

    Roles: owner, admin — a signed-in person or an API token holding one of them.

    Parameters
    • propertyIdstringpath
    Answers 204, no body
  • PATCH/properties/{propertyId}propertiesUpdate
    Parameters
    • propertyIdstringpath
    Body · UpdateProperty
    • autoTranscribeobject | string | nulloptional
    • mediaBaseUrlstring | nulloptional
    • namestringoptional
    Answers 200 PropertyResponse
  • GET/properties/{propertyId}/drmpropertiesGetDrm
    Parameters
    • propertyIdstringpath
    Answers 200 PropertyDrmDto | null
  • PUT/properties/{propertyId}/drmpropertiesPutDrm
    Parameters
    • propertyIdstringpath
    Body · UpsertPropertyDrm
    • fairplayobject | nulloptional
    • keystringoptional
    • keyIdstringoptional
    • playreadyobject | nulloptional
    • widevineobject | nulloptional
    Answers 200 PropertyDrmDto
  • DELETE/properties/{propertyId}/drmpropertiesRemoveDrm
    Parameters
    • propertyIdstringpath
    Answers 204, no body
  • PUT/properties/{propertyId}/media/{mediaId}/drmpropertiesSetMedia
    Parameters
    • propertyIdstringpath
    • mediaIdstringpath
    Body · SetMediaDrm
    • keystringoptional
    • keyIdstringoptional
    • packagedboolean
    Answers 200 MediaResponse

keys

  • GET/properties/{propertyId}/keyskeysList
    Parameters
    • propertyIdstringpath
    Answers 200 KeyResponse[]
  • POST/properties/{propertyId}/keyskeysIssue

    Roles: owner, admin — a signed-in person or an API token holding one of them.

    Parameters
    • propertyIdstringpath
    Body · IssueKey
    • appIdstring | nulloptional
    • bundleIdsBundleIdsoptional
    • certificateDigestsstring[]optional
    • environment"development" | "production"
    • originsOriginsoptional
    • platform"web" | "android" | "ios" | "roku"optional
    Answers 201 KeyResponse
  • PATCH/properties/{propertyId}/keys/{keyId}keysUpdate

    Roles: owner, admin — a signed-in person or an API token holding one of them.

    Parameters
    • propertyIdstringpath
    • keyIdstringpath
    Body · UpdateKey
    • bundleIdsBundleIds
    • certificateDigestsstring[]optional
    • originsOriginsoptional
    Answers 200 KeyResponse
  • DELETE/properties/{propertyId}/keys/{keyId}keysRevoke

    Roles: owner, admin — a signed-in person or an API token holding one of them.

    Parameters
    • propertyIdstringpath
    • keyIdstringpath
    Answers 204, no body
  • POST/properties/{propertyId}/keys/{keyId}/rotatekeysRotate

    Roles: owner, admin — a signed-in person or an API token holding one of them.

    Parameters
    • propertyIdstringpath
    • keyIdstringpath
    Answers 201 KeyResponse

origins

  • GET/properties/{propertyId}/originsoriginsList
    Parameters
    • propertyIdstringpath
    Answers 200 string[]
  • PUT/properties/{propertyId}/originsoriginsReplace

    Roles: owner, admin — a signed-in person or an API token holding one of them.

    Parameters
    • propertyIdstringpath
    Body · ReplaceOrigins
    • originsOrigins
    Answers 200 string[]

media

  • GET/properties/{propertyId}/mediamediaList
    Parameters
    • propertyIdstringpath
    • collectionstringoptionalquery
    • customMatch"all" | "any"optionalquery
    • customMode"exclude" | "include"optionalquery
    • customParamCustomListoptionalquery
    • dateField"created" | "updated"optionalquery
    • dateFromDateOnlyoptionalquery
    • dateToDateOnlyoptionalquery
    • direction"asc" | "desc"optionalquery
    • hostingListoptionalquery
    • limitintegeroptionalquery
    • offsetintegeroptionalquery
    • searchstringoptionalquery
    • sort"created" | "duration" | "id" | "title" | "updated"optionalquery
    • sourceTypeListoptionalquery
    • statusListoptionalquery
    • tagListoptionalquery
    • tagMatch"all" | "any"optionalquery
    • tagMode"exclude" | "include"optionalquery
    Answers 200 PaginatedMedia
  • POST/properties/{propertyId}/mediamediaRegister
    Parameters
    • propertyIdstringpath
    Body · RegisterMedia
    • adCuesnumber[]optional
    • adMode"bookends" | "default" | "none"optional
    • configMediaConfigoptional
    • customobjectoptional
    • descriptionstring | nulloptional
    • durationinteger | nulloptional
    • expectedUpdatedAtstringoptional
    • expiresAtstring | nulloptional
    • geoRuleIdstring | nulloptional
    • heightintegeroptional
    • imagesobject[]optional
    • motionPosterMediaUrl | nulloptional
    • posterMediaUrl | nulloptional
    • projection"equirectangular" | "equirectangular-top-bottom" | "equirectangular-side-by-side" | nulloptional
    • publishedAtstring | nulloptional
    • sourcesobject[]
    • tagsstring[]optional
    • titlestring
    • tracksobject[]optional
    • viewsobject[]optional
    • widthintegeroptional
    Answers 201 MediaResponse
  • POST/properties/{propertyId}/media/bulkmediaBulk
    Parameters
    • propertyIdstringpath
    Body · BulkMedia
    • action"remove" | "set-geo-rule" | "add-to-playlist" | "add-to-collection" | "remove-from-collection" | "add-tags"
    • idsstring[]
    • tagsstring[]optional
    • valuestring | nulloptional
    Answers 200 object
  • GET/properties/{propertyId}/media/tagsmediaTags
    Parameters
    • propertyIdstringpath
    Answers 200 string[]
  • GET/properties/{propertyId}/media/signed-urlmediaSignedUrl
    Parameters
    • propertyIdstringpath
    • urlstringoptionalquery
    Answers 200 object
  • GET/properties/{propertyId}/media/usagemediaUsage
    Parameters
    • propertyIdstringpath
    Answers 200 MediaUsageResponse
  • GET/properties/{propertyId}/media/uploadsmediaUploadCapability
    Parameters
    • propertyIdstringpath
    Answers 200 UploadCapabilityResponse
  • POST/properties/{propertyId}/media/uploadsmediaUpload
    Parameters
    • propertyIdstringpath
    Body · CreateUpload
    • contentTypestring
    • filenamestring
    • mediaIdstring
    • sizeinteger
    Answers 201 UploadTicketResponse
  • GET/properties/{propertyId}/media/transcriptionmediaTranscriptionCapability
    Parameters
    • propertyIdstringpath
    Answers 200 object
  • GET/properties/{propertyId}/media/{mediaId}mediaGet
    Parameters
    • propertyIdstringpath
    • mediaIdstringpath
    Answers 200 MediaResponse
  • PUT/properties/{propertyId}/media/{mediaId}mediaReplace
    Parameters
    • propertyIdstringpath
    • mediaIdstringpath
    Body · RegisterMedia
    • adCuesnumber[]optional
    • adMode"bookends" | "default" | "none"optional
    • configMediaConfigoptional
    • customobjectoptional
    • descriptionstring | nulloptional
    • durationinteger | nulloptional
    • expectedUpdatedAtstringoptional
    • expiresAtstring | nulloptional
    • geoRuleIdstring | nulloptional
    • heightintegeroptional
    • imagesobject[]optional
    • motionPosterMediaUrl | nulloptional
    • posterMediaUrl | nulloptional
    • projection"equirectangular" | "equirectangular-top-bottom" | "equirectangular-side-by-side" | nulloptional
    • publishedAtstring | nulloptional
    • sourcesobject[]
    • tagsstring[]optional
    • titlestring
    • tracksobject[]optional
    • viewsobject[]optional
    • widthintegeroptional
    Answers 200 MediaResponse
  • DELETE/properties/{propertyId}/media/{mediaId}mediaRemove
    Parameters
    • propertyIdstringpath
    • mediaIdstringpath
    Answers 204, no body
  • GET/properties/{propertyId}/media/{mediaId}/playbackmediaPlayback
    Parameters
    • propertyIdstringpath
    • mediaIdstringpath
    Answers 200 PlaybackObjectResponse
  • GET/properties/{propertyId}/media/{mediaId}/assetsmediaAssets
    Parameters
    • propertyIdstringpath
    • mediaIdstringpath
    Answers 200 object
  • GET/properties/{propertyId}/media/{mediaId}/progressmediaProgress
    Parameters
    • propertyIdstringpath
    • mediaIdstringpath
    Answers 200 object
  • POST/properties/{propertyId}/media/{mediaId}/stillmediaSelectStill
    Parameters
    • propertyIdstringpath
    • mediaIdstringpath
    Body · SelectStill
    • atSecondsnumber
    Answers 201 object
  • POST/properties/{propertyId}/media/{mediaId}/transcriptionmediaRequestTranscription
    Parameters
    • propertyIdstringpath
    • mediaIdstringpath
    Body · RequestTranscription
    • languageTranscriptionLanguageoptional
    Answers 201 TranscriptionResponse
  • GET/properties/{propertyId}/media/{mediaId}/transcriptionmediaTranscription
    Parameters
    • propertyIdstringpath
    • mediaIdstringpath
    Answers 200 TranscriptionResponse
  • POST/properties/{propertyId}/media/{mediaId}/inspectmediaInspect
    Parameters
    • propertyIdstringpath
    • mediaIdstringpath
    Body · InspectRemote
    • urlstring
    Answers 201 object
  • POST/properties/{propertyId}/media/{mediaId}/downloadsmediaPrepareDownload

    A signed-in person only: an API token is refused (PBP-109044).

    Parameters
    • propertyIdstringpath
    • mediaIdstringpath
    Body · PrepareDownload
    • heightinteger
    Answers 201 DownloadResponse
  • PUT/properties/{propertyId}/media/{mediaId}/encryptionmediaSetEncryption
    Parameters
    • propertyIdstringpath
    • mediaIdstringpath
    Body · SetEncryption
    • encryptedboolean
    Answers 200 MediaResponse
  • POST/properties/{propertyId}/media/{mediaId}/uploadsmediaOpenUpload
    Parameters
    • propertyIdstringpath
    • mediaIdstringpath
    Body · OpenUpload
    • contentTypestringoptional
    • filenamestring
    • sizeinteger
    Answers 201 object
  • GET/properties/{propertyId}/media/{mediaId}/uploads/{uploadId}mediaUploadStatus
    Parameters
    • propertyIdstringpath
    • mediaIdstringpath
    • uploadIdstringpath
    Answers 200 object
  • DELETE/properties/{propertyId}/media/{mediaId}/uploads/{uploadId}mediaAbortUpload
    Parameters
    • propertyIdstringpath
    • mediaIdstringpath
    • uploadIdstringpath
    Answers 204, no body
  • GET/properties/{propertyId}/media/{mediaId}/uploads/{uploadId}/partsmediaUploadParts
    Parameters
    • propertyIdstringpath
    • mediaIdstringpath
    • uploadIdstringpath
    • fromstringoptionalquery
    Answers 200 object
  • POST/properties/{propertyId}/media/{mediaId}/uploads/{uploadId}/completemediaCompleteUpload
    Parameters
    • propertyIdstringpath
    • mediaIdstringpath
    • uploadIdstringpath
    Answers 201 object

collections

  • GET/properties/{propertyId}/collectionscollectionsList
    Parameters
    • propertyIdstringpath
    Answers 200 CollectionResponse[]
  • POST/properties/{propertyId}/collectionscollectionsCreate
    Parameters
    • propertyIdstringpath
    Body · WriteCollection
    • descriptionstring | nulloptional
    • titlestring
    Answers 201 CollectionResponse
  • PUT/properties/{propertyId}/collections/{collectionId}collectionsReplace
    Parameters
    • propertyIdstringpath
    • collectionIdstringpath
    Body · WriteCollection
    • descriptionstring | nulloptional
    • titlestring
    Answers 200 CollectionResponse
  • DELETE/properties/{propertyId}/collections/{collectionId}collectionsRemove
    Parameters
    • propertyIdstringpath
    • collectionIdstringpath
    Answers 204, no body

geoRules

  • GET/properties/{propertyId}/geo-rulesgeoRulesList
    Parameters
    • propertyIdstringpath
    Answers 200 GeoRuleResponse[]
  • POST/properties/{propertyId}/geo-rulesgeoRulesCreate
    Parameters
    • propertyIdstringpath
    Body · WriteGeoRule
    • countriesstring[]optional
    • mode"allow" | "deny"
    • namestring
    Answers 201 GeoRuleResponse
  • PUT/properties/{propertyId}/geo-rules/{ruleId}geoRulesReplace
    Parameters
    • propertyIdstringpath
    • ruleIdstringpath
    Body · WriteGeoRule
    • countriesstring[]optional
    • mode"allow" | "deny"
    • namestring
    Answers 200 GeoRuleResponse
  • DELETE/properties/{propertyId}/geo-rules/{ruleId}geoRulesRemove
    Parameters
    • propertyIdstringpath
    • ruleIdstringpath
    Answers 204, no body

liveStreams

  • GET/properties/{propertyId}/live-streamsliveStreamsList
    Parameters
    • propertyIdstringpath
    Answers 200 LiveStreamResponse[]
  • POST/properties/{propertyId}/live-streamsliveStreamsCreate

    Roles: owner, admin — a signed-in person or an API token holding one of them.

    Parameters
    • propertyIdstringpath
    Body · WriteLiveStream
    • namestring
    Answers 201 LiveStreamWithKeyResponse
  • GET/properties/{propertyId}/live-streams/{liveStreamId}liveStreamsGet
    Parameters
    • propertyIdstringpath
    • liveStreamIdstringpath
    Answers 200 LiveStreamResponse
  • PATCH/properties/{propertyId}/live-streams/{liveStreamId}liveStreamsRename
    Parameters
    • propertyIdstringpath
    • liveStreamIdstringpath
    Body · WriteLiveStream
    • namestring
    Answers 200 LiveStreamResponse
  • DELETE/properties/{propertyId}/live-streams/{liveStreamId}liveStreamsRemove

    Roles: owner, admin — a signed-in person or an API token holding one of them.

    Parameters
    • propertyIdstringpath
    • liveStreamIdstringpath
    Answers 204, no body
  • POST/properties/{propertyId}/live-streams/{liveStreamId}/rotate-keyliveStreamsRotateKey

    Roles: owner, admin — a signed-in person or an API token holding one of them.

    Parameters
    • propertyIdstringpath
    • liveStreamIdstringpath
    Answers 201 LiveStreamWithKeyResponse

logs

  • GET/properties/{propertyId}/logslogsList
    Parameters
    • propertyIdstringpath
    • cursorstringoptionalquery
    • kind"api" | "encode" | "webhook" | "licence"optionalquery
    • limitintegeroptionalquery
    Answers 200 LogsPageResponse

playlists

  • GET/properties/{propertyId}/playlistsplaylistsList
    Parameters
    • propertyIdstringpath
    • customMatch"all" | "any"optionalquery
    • customMode"exclude" | "include"optionalquery
    • customParamCustomListoptionalquery
    • dateField"created" | "updated"optionalquery
    • dateFromDateOnlyoptionalquery
    • dateToDateOnlyoptionalquery
    • direction"asc" | "desc"optionalquery
    • limitintegeroptionalquery
    • offsetintegeroptionalquery
    • searchstringoptionalquery
    • sort"created" | "id" | "items" | "title" | "updated"optionalquery
    Answers 200 PaginatedPlaylists
  • POST/properties/{propertyId}/playlistsplaylistsCreate
    Parameters
    • propertyIdstringpath
    Body · WritePlaylist
    • customobjectoptional
    • descriptionstring | nulloptional
    • endsAtstring | nulloptional
    • entryWindowsobjectoptional
    • kind"dynamic" | "manual"optional
    • mediaIdsstring[]optional
    • rulesPlaylistRules | nulloptional
    • startsAtstring | nulloptional
    • titlestring
    Answers 201 PlaylistResponse
  • GET/properties/{propertyId}/playlists/{playlistId}playlistsGet
    Parameters
    • propertyIdstringpath
    • playlistIdstringpath
    Answers 200 PlaylistResponse
  • PUT/properties/{propertyId}/playlists/{playlistId}playlistsReplace
    Parameters
    • propertyIdstringpath
    • playlistIdstringpath
    Body · WritePlaylist
    • customobjectoptional
    • descriptionstring | nulloptional
    • endsAtstring | nulloptional
    • entryWindowsobjectoptional
    • kind"dynamic" | "manual"optional
    • mediaIdsstring[]optional
    • rulesPlaylistRules | nulloptional
    • startsAtstring | nulloptional
    • titlestring
    Answers 200 PlaylistResponse
  • DELETE/properties/{propertyId}/playlists/{playlistId}playlistsRemove
    Parameters
    • propertyIdstringpath
    • playlistIdstringpath
    Answers 204, no body
  • GET/properties/{propertyId}/playlists/{playlistId}/itemsplaylistsItems
    Parameters
    • propertyIdstringpath
    • playlistIdstringpath
    Answers 200 PlaylistItemResponse[]

players

  • GET/properties/{propertyId}/playersplayersList
    Parameters
    • propertyIdstringpath
    Answers 200 PlayerResponse[]
  • POST/properties/{propertyId}/playersplayersCreate
    Parameters
    • propertyIdstringpath
    Body · WritePlayer
    • adScheduleIdstring | nulloptional
    • configPlayerConfigoptional
    • namestring
    • themeThemeDocumentoptional
    Answers 201 PlayerResponse
  • GET/properties/{propertyId}/players/{playerId}playersGet
    Parameters
    • propertyIdstringpath
    • playerIdstringpath
    Answers 200 PlayerResponse
  • PUT/properties/{propertyId}/players/{playerId}playersReplace
    Parameters
    • propertyIdstringpath
    • playerIdstringpath
    Body · WritePlayer
    • adScheduleIdstring | nulloptional
    • configPlayerConfigoptional
    • namestring
    • themeThemeDocumentoptional
    Answers 200 PlayerResponse
  • DELETE/properties/{propertyId}/players/{playerId}playersRemove
    Parameters
    • propertyIdstringpath
    • playerIdstringpath
    Answers 204, no body

adSchedules

  • GET/properties/{propertyId}/ad-schedulesadSchedulesList
    Parameters
    • propertyIdstringpath
    Answers 200 AdScheduleResponse[]
  • POST/properties/{propertyId}/ad-schedulesadSchedulesCreate
    Parameters
    • propertyIdstringpath
    Body · WriteAdSchedule
    • breaksobject[]optional
    • client"ima" | "vast"optional
    • mode"breaks" | "vmap"optional
    • namestring
    • rulesobjectoptional
    • vmapUrlAbsoluteUrl | nulloptional
    • vpaidMode"disabled" | "enabled" | "insecure"optional
    Answers 201 AdScheduleResponse
  • GET/properties/{propertyId}/ad-schedules/{scheduleId}adSchedulesGet
    Parameters
    • propertyIdstringpath
    • scheduleIdstringpath
    Answers 200 AdScheduleResponse
  • PUT/properties/{propertyId}/ad-schedules/{scheduleId}adSchedulesReplace
    Parameters
    • propertyIdstringpath
    • scheduleIdstringpath
    Body · WriteAdSchedule
    • breaksobject[]optional
    • client"ima" | "vast"optional
    • mode"breaks" | "vmap"optional
    • namestring
    • rulesobjectoptional
    • vmapUrlAbsoluteUrl | nulloptional
    • vpaidMode"disabled" | "enabled" | "insecure"optional
    Answers 200 AdScheduleResponse
  • DELETE/properties/{propertyId}/ad-schedules/{scheduleId}adSchedulesRemove
    Parameters
    • propertyIdstringpath
    • scheduleIdstringpath
    Answers 204, no body

publicAdSchedules

  • GET/public/ad-schedules/{scheduleId}publicAdSchedulesGet

    Public: no credential, readable from any origin.

    Parameters
    • scheduleIdstringpath
    Answers 200 PublicAdSchedule

publicApps

  • GET/public/apps/{appId}publicAppsGet

    Public: no credential, readable from any origin.

    Parameters
    • appIdstringpath
    Answers 200 PublicApp
  • GET/public/apps/{appId}/configpublicAppsConfig

    Public: no credential, readable from any origin.

    Parameters
    • appIdstringpath
    Answers 200 PublicPlayer

publicContinueWatching

  • POST/public/continue-watching/{propertyId}/{viewerId}publicContinueWatchingSave

    Public: no credential, readable from any origin.

    Parameters
    • propertyIdstringpath
    • viewerIdstringpath
    Answers 204, no body
  • GET/public/continue-watching/{propertyId}/{viewerId}publicContinueWatchingList

    Public: no credential, readable from any origin.

    Parameters
    • propertyIdstringpath
    • viewerIdstringpath
    Answers 200 object

publicMedia

  • GET/public/media/{mediaId}publicMediaItem

    Public: no credential, readable from any origin.

    Parameters
    • mediaIdstringpath
    Answers 200 PlaybackObject

publicOembed

  • GET/public/oembedpublicOembedDescribe

    Public: no credential, readable from any origin.

    Parameters
    • formatstringoptionalquery
    • maxheightintegeroptionalquery
    • maxwidthintegeroptionalquery
    • urlstringquery
    Answers 200 OembedResponse

publicPlans

  • GET/public/planspublicPlansList

    Public: no credential, readable from any origin.

    Answers 200 PublicPlan[]

publicPlayers

  • GET/public/players/{playerId}publicPlayersGet

    Public: no credential, readable from any origin.

    Parameters
    • playerIdstringpath
    Answers 200 PublicPlayer

publicPlaylists

  • GET/public/playlists/{playlistId}publicPlaylistsFeed

    Public: no credential, readable from any origin.

    Parameters
    • playlistIdstringpath
    • formatstringoptionalquery
    • limitintegeroptionalquery
    • offsetintegeroptionalquery
    Answers 200 string | PlaylistFeed

publicRecommended

  • GET/public/recommendedpublicRecommendedFeed

    Public: no credential, readable from any origin.

    Parameters
    • countintegeroptionalquery
    • mediastringquery
    • playliststringoptionalquery
    Answers 200 RecommendedFeed

publicReleases

  • GET/public/releasespublicReleasesList

    Public: no credential, readable from any origin.

    Answers 200 PublishedRelease[]

publicStatus

  • GET/public/statuspublicStatusGet

    Public: no credential, readable from any origin.

    Answers 200 PublicStatus
  • GET/public/status/feed.xmlpublicStatusFeed

    Public: no credential, readable from any origin.

    Answers 200 string
  • POST/public/status/subscriptionspublicStatusSubscribe

    Public: no credential, readable from any origin.

    Answers 202 object
  • GET/public/status/subscriptions/confirmpublicStatusConfirm

    Public: no credential, readable from any origin.

    Parameters
    • tokenstringoptionalquery
    Answers 200 object
  • GET/public/status/subscriptions/unsubscribepublicStatusUnsubscribe

    Public: no credential, readable from any origin.

    Parameters
    • tokenstringoptionalquery
    Answers 200 object

publicUptime

  • GET/public/uptimepublicUptimeGet

    Public: no credential, readable from any origin.

    Answers 200 SurfaceUptime[]

versions

  • GET/properties/{propertyId}/versionsversionsPolicy
    Parameters
    • propertyIdstringpath
    Answers 200 VersionPolicyResponse
  • PUT/properties/{propertyId}/versionsversionsUpdate
    Parameters
    • propertyIdstringpath
    Body · UpdateVersionPolicy
    • channel"dev" | "beta" | "stable" | string | null
    • pinstring | null
    Answers 200 VersionPolicyResponse
  • PUT/properties/{propertyId}/versions/entity-pinsversionsUpdateEntityPins
    Parameters
    • propertyIdstringpath
    Body · UpdateEntityPins
    • pinsobject[]
    Answers 200 VersionPolicyResponse
  • PUT/properties/{propertyId}/versions/account-channelversionsUpdateAccountChannel

    Roles: owner, admin — a signed-in person or an API token holding one of them.

    Parameters
    • propertyIdstringpath
    Body · UpdateAccountChannel
    • channel"dev" | "beta" | "stable" | string | null
    Answers 200 VersionPolicyResponse